Freeciv-3.1: client_option Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
client_option Struct Reference

## Data Fields

struct option | base_option
const char * | name
const char * | description
const char * | help_text
enum client_option_category | category
enum gui_type | specific
union { |
struct { |
bool *const pvalue |
const bool def |
} boolean |
struct { |
int *const pvalue |
const int def |
const int min |
const int max |
} integer |
struct { |
char *const pvalue |
const size_t size |
const char *const def |
const struct strvec *(*const val_accessor )(const struct option *) |
} string |
struct { |
int *const pvalue |
const int def |
struct strvec * support_names |
struct strvec * pretty_names |
const struct copt_val_name *(*const name_accessor )(int value) |
} enumerator |
struct { |
unsigned *const pvalue |
const unsigned def |
struct strvec * support_names |
struct strvec * pretty_names |
const struct copt_val_name *(*const name_accessor )(int value) |
} bitwise |
struct { |
char *const pvalue |
const size_t size |
const char *const def |
const char *const target |
} font |
struct { |
struct ft_color *const pvalue |
const struct ft_color def |
} color |
struct { |
struct video_mode *const pvalue |
const struct video_mode def |
} video_mode |
}; |  |

## Detailed Description

Definition at line 1401 of file options.c.

## Field Documentation

## ◆ [union]

union { ... } client_option

## ◆ base_option

struct option client_option::base_option

Definition at line 1402 of file options.c.

## ◆ [struct]

struct { ... } client_option::bitwise

## ◆ [struct]

struct { ... } client_option::boolean

Referenced by client_option_bool_set().

## ◆ category

enum client_option_category client_option::category

Definition at line 1407 of file options.c.

## ◆ [struct]

struct { ... } client_option::color

## ◆ def [1/6]

const bool client_option::def

Definition at line 1414 of file options.c.

## ◆ def [2/6]

const int client_option::def

Definition at line 1419 of file options.c.

## ◆ def [3/6]

const char* const client_option::def

Definition at line 1425 of file options.c.

## ◆ def [4/6]

const unsigned client_option::def

Definition at line 1442 of file options.c.

## ◆ def [5/6]

const struct ft_color client_option::def

Definition at line 1456 of file options.c.

## ◆ def [6/6]

const struct video_mode client_option::def

Definition at line 1461 of file options.c.

## ◆ description

const char* client_option::description

Definition at line 1405 of file options.c.

## ◆ [struct]

struct { ... } client_option::enumerator

Referenced by client_option_enum_set().

## ◆ [struct]

struct { ... } client_option::font

Referenced by client_option_font_set().

## ◆ help_text

const char* client_option::help_text

Definition at line 1406 of file options.c.

## ◆ [struct]

struct { ... } client_option::integer

Referenced by client_option_int_set().

## ◆ max

const int client_option::max

Definition at line 1419 of file options.c.

Referenced by client_option_int_set(), and client_option_next_valid().

## ◆ min

const int client_option::min

Definition at line 1419 of file options.c.

## ◆ name

const char* client_option::name

Definition at line 1404 of file options.c.

Referenced by client_option_name().

## ◆ name_accessor

const struct copt_val_name *(*const client_option::name_accessor) (int value)

Definition at line 1436 of file options.c.

## ◆ pretty_names

struct strvec * client_option::pretty_names

Definition at line 1436 of file options.c.

## ◆ pvalue [1/6]

bool* const client_option::pvalue

Definition at line 1413 of file options.c.

Referenced by client_option_bool_set(), client_option_enum_set(), client_option_font_set(), client_option_int_set(), client_option_str_set(), and client_option_video_mode_set().

## ◆ pvalue [2/6]

int* const client_option::pvalue

Definition at line 1418 of file options.c.

## ◆ pvalue [3/6]

char* const client_option::pvalue

Definition at line 1423 of file options.c.

## ◆ pvalue [4/6]

unsigned* const client_option::pvalue

Definition at line 1441 of file options.c.

## ◆ pvalue [5/6]

struct ft_color* const client_option::pvalue

Definition at line 1455 of file options.c.

## ◆ pvalue [6/6]

struct video_mode* const client_option::pvalue

Definition at line 1460 of file options.c.

## ◆ size

const size_t client_option::size

Definition at line 1424 of file options.c.

Referenced by client_option_font_set(), and client_option_str_set().

## ◆ specific

enum gui_type client_option::specific

Definition at line 1408 of file options.c.

Referenced by client_option_next_valid().

## ◆ [struct]

struct { ... } client_option::string

Referenced by client_option_load(), and client_option_str_set().

## ◆ support_names

struct strvec* client_option::support_names

Definition at line 1436 of file options.c.

Referenced by client_option_enum_set().

## ◆ target

const char* const client_option::target

Definition at line 1451 of file options.c.

## ◆ val_accessor

const struct strvec *(*const client_option::val_accessor) (const struct option *)

Definition at line 1425 of file options.c.

## ◆ [struct]

struct { ... } client_option::video_mode

Referenced by client_option_video_mode_set().